import java.awt.*;

class  Bandeja{

	int x,y,nx,nb;
	float equilibrio;
	int[] bolas;
	int[] incog;
	Punt[] coorb;
	Punt[] coorx;
	boolean roja;
			
        // constructor
        Bandeja(){
        	x=0;
        	y=0;
        	nx=0;
        	nb=0;
        	roja=false;
        	equilibrio=0;
        	
        	coorb=new Punt[12];
        	coorx=new Punt[2];
        	
        	bolas=new int[12];
        	incog=new int[2];   	        	
        	int i;
        	for (i=0;i<12;i++) bolas[i]=-1;
        	for (i=0;i<2;i++) incog[i]=-1;
        }
        
        Bandeja(int x, int y, boolean roja){
        	this.x=x;
        	this.y=y;
        	nx=0;
        	nb=0;
        	this.roja=roja;
        	equilibrio=0;
     	
    			coorb=new Punt[12];
    			coorx=new Punt[2];
        	bolas=new int[12];
        	incog=new int[2];   	        	
        	int i;
        	for (i=0;i<12;i++) bolas[i]=-1;
        	for (i=0;i<2;i++) incog[i]=-1;
        }

        // metodes
        public void desplazaXY(int x, int y){
                this.x=this.x+x;
                this.y=this.y+y;
        }
        

        Punt centroXY(){
        	Punt p = new Punt(x+53,y+21);
        	return p;
        }

				public void draw(Graphics g) {
					if (roja) g.setColor(Color.red); 
					else g.setColor(Color.black);
					g.drawLine(x,y,x,y+7);
					g.drawLine(x,y+7,x+100,y+7);
					g.drawLine(x+100,y+7,x+100,y);
					
					g.setColor(Color.black);
					g.drawLine(x+50,y+8,x+50,y+21);

					g.setColor(Color.lightGray);
					g.fillOval(x+47,y+18,6,6);

					g.setColor(Color.black);
				}
}